Loading...
Searching...
No Matches
Poly.h File Reference
`#include "kernel/mod2.h"`
`#include "IIntvec.h"`
`#include "coeffs/numbers.h"`
`#include "Number.h"`
`#include "kernel/polys.h"`
`#include "polys/monomials/ring.h"`
`#include <boost/shared_ptr.hpp>`
`#include <vector>`
`#include <exception>`

Go to the source code of this file.

## Data Structures

class | DifferentDomainException
class | ExceptionBasedErrorHandler
class | TrivialErrorHandler
class | PolyImpl
class | ConstTermReference< T >
class | PolyInputIterator< T >
class | PolyBase< variant, create_type_input, error_handle_traits >
class | Poly
class | Vector
class | exception
| STL class. More...

## Macros

#define | BOOST_DISABLE_THREADS

## Typedefs

typedef TrivialErrorHandler | MyErrorHandler

## Functions

PolyImpl | operator+ (const PolyImpl &p1, const PolyImpl &p2)
PolyImpl | operator* (const PolyImpl &p1, const PolyImpl &p2)
PolyImpl | operator- (const PolyImpl &p1, const PolyImpl &p2)
PolyImpl | operator+ (const PolyImpl &p1, int p2)
PolyImpl | operator* (const PolyImpl &p1, int p2)
PolyImpl | operator- (const PolyImpl &p1, int p2)
PolyImpl | operator+ (int p1, const PolyImpl &p2)
PolyImpl | operator* (int p1, const PolyImpl &p2)
Poly | operator* (const Poly &p, const Poly &p2)
Vector | operator* (const Number &n, const Vector &v)
template<poly_variant variant, class create_type, class error_traits>
PolyBase< variant, create_type, error_traits >::create_type | operator* (const Number &n, const PolyBase< variant, create_type, class error_tratis > &p)
Vector | operator* (const Poly &p, const Vector &v)
Poly | operator+ (const Poly &p1, const Number &n)
bool | operator== (const Poly &p1, const Poly &p2)
bool | operator== (const Vector &p1, const Vector &p2)
template<poly_variant variant, class create_type, class error_traits>
PolyBase< variant, create_type, error_traits >::create_type | operator+ (const PolyBase< variant, create_type, error_traits > &b1, const PolyBase< variant, create_type, error_traits > &b2)
Vector | unitVector (int i, ring r=currRing)
Poly | operator* (const Number &n, const Poly &p)

## Macro Definition Documentation

## BOOST_DISABLE_THREADS

#define BOOST_DISABLE_THREADS

Definition at line 17 of file Poly.h.

## Typedef Documentation

## MyErrorHandler

typedef TrivialErrorHandler MyErrorHandler

Definition at line 43 of file Poly.h.

## Function Documentation

## operator*() [1/8]

Poly operator* | ( | const Number & | n,
|  | const Poly & | p )

inline

Definition at line 635 of file Poly.h.

{
Poly res=p;
res*=n;
return res;
}
p
int p
Definition cfModGcd.cc:4086
res
CanonicalForm res
Definition facAbsFact.cc:60
Poly
Definition janet.h:15

## operator*() [2/8]

template<poly_variant variant, class create_type, class error_traits>

PolyBase< variant, create_type, error_traits >::create_type operator* | ( | const Number & | n,
|  | const PolyBase< variant, create_type, class error_tratis > & | p )

inline

Definition at line 589 of file Poly.h.

{
typename PolyBase<variant, create_type,error_traits>::create_type erg(p);
erg*=n;
return erg;
}
PolyBase::create_type
create_type_input create_type
Definition Poly.h:350

## operator*() [3/8]

Vector operator* | ( | const Number & | n,
|  | const Vector & | v )

inline

Definition at line 580 of file Poly.h.

{
Vector res=v;
res*=n;
return res;
}
Vector
Definition Poly.h:509
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## operator*() [4/8]

Poly operator* | ( | const Poly & | p,
|  | const Poly & | p2 )

inline

Definition at line 575 of file Poly.h.

{
Poly erg=p;
erg*=p2;
return erg;
}

## operator*() [5/8]

Vector operator* | ( | const Poly & | p,
|  | const Vector & | v )

inline

Definition at line 598 of file Poly.h.

{
Vector res(v);
res*=p;
return res;
}

## operator*() [6/8]

PolyImpl operator* | ( | const PolyImpl & | p1,
|  | const PolyImpl & | p2 )

inline

Definition at line 219 of file Poly.h.

{
PolyImpl erg(p1);
erg*=p2;
return erg;
}
PolyImpl
Definition Poly.h:45

## operator*() [7/8]

PolyImpl operator* | ( | const PolyImpl & | p1,
|  | int | p2 )

inline

Definition at line 237 of file Poly.h.

{
PolyImpl erg(p1);
erg*=PolyImpl(p2,p1.r.get());
return erg;
}
PolyImpl::r
intrusive_ptr< ip_sring > r
Definition Poly.h:210

## operator*() [8/8]

PolyImpl operator* | ( | int | p1,
|  | const PolyImpl & | p2 )

inline

Definition at line 254 of file Poly.h.

{
PolyImpl erg(p2);
return erg*=PolyImpl(p1,p2.getRing());
}
PolyImpl::getRing
ring getRing() const
Definition Poly.h:59

## operator+() [1/5]

Poly operator+ | ( | const Poly & | p1,
|  | const Number & | n )

inline

Definition at line 603 of file Poly.h.

{
Poly f(p1);
f+=n;
return f;
}
f
FILE * f
Definition checklibs.c:9

## operator+() [2/5]

template<poly_variant variant, class create_type, class error_traits>

PolyBase< variant, create_type, error_traits >::create_type operator+ | ( | const PolyBase< variant, create_type, error_traits > & | b1,
|  | const PolyBase< variant, create_type, error_traits > & | b2 )

inline

Definition at line 622 of file Poly.h.

{
typename PolyBase<variant, create_type, error_traits>::create_type erg(b1);
erg+=b2;
return erg;
}

## operator+() [3/5]

PolyImpl operator+ | ( | const PolyImpl & | p1,
|  | const PolyImpl & | p2 )

inline

Definition at line 213 of file Poly.h.

{
PolyImpl erg(p1);
erg+=p2;
return erg;
}

## operator+() [4/5]

PolyImpl operator+ | ( | const PolyImpl & | p1,
|  | int | p2 )

inline

Definition at line 231 of file Poly.h.

{
PolyImpl erg(p1);
erg+=PolyImpl(p2,p1.r.get());
return erg;
}

## operator+() [5/5]

PolyImpl operator+ | ( | int | p1,
|  | const PolyImpl & | p2 )

inline

Definition at line 249 of file Poly.h.

{
PolyImpl erg(p2);
return erg+=PolyImpl(p1,p2.getRing());
}

## operator-() [1/2]

PolyImpl operator- | ( | const PolyImpl & | p1,
|  | const PolyImpl & | p2 )

inline

Definition at line 225 of file Poly.h.

{
PolyImpl erg(p1);
erg-=p2;
return erg;
}

## operator-() [2/2]

PolyImpl operator- | ( | const PolyImpl & | p1,
|  | int | p2 )

inline

Definition at line 243 of file Poly.h.

{
PolyImpl erg(p1);
erg-=PolyImpl(p2,p1.r);
return erg;
}

## operator==() [1/2]

bool operator== | ( | const Poly & | p1,
|  | const Poly & | p2 )

inline

Definition at line 608 of file Poly.h.

{
ring r1=p1.getRing();
ring r2=p2.getRing();
if (r1!=r2) return false;
return p_EqualPolys(p1.ptr->p,p2.ptr->p,r1);
}
PolyBase::getRing
ring getRing() const
Definition Poly.h:427
PolyBase::ptr
shared_ptr< PolyImpl > ptr
Definition Poly.h:451
p_EqualPolys
BOOLEAN p_EqualPolys(poly p1, poly p2, const ring r)
Definition p_polys.cc:4666

## operator==() [2/2]

bool operator== | ( | const Vector & | p1,
|  | const Vector & | p2 )

inline

Definition at line 614 of file Poly.h.

{
ring r1=p1.getRing();
ring r2=p2.getRing();
if (r1!=r2) return false;
return p_EqualPolys(p1.ptr->p,p2.ptr->p,r1);
}

## unitVector()

Vector unitVector | ( | int | i,
|  | ring | r = currRing )

inline

Definition at line 630 of file Poly.h.

{
poly p=p_ISet(1,r);
p_SetComp(p,i,r);
return Vector(p,r,0);
}
i
int i
Definition cfEzgcd.cc:132
p_ISet
poly p_ISet(long i, const ring r)
returns the poly representing the integer i
Definition p_polys.cc:1298
p_SetComp
static unsigned long p_SetComp(poly p, unsigned long c, ring r)
Definition p_polys.h:249